package at.ac.tuwien.asgaard.delta.gui.actions.edit;

import at.ac.tuwien.asgaard.delta.gui.MainController;
import at.ac.tuwien.asgaard.delta.gui.actions.SimpleAction;
import at.ac.tuwien.asgaard.delta.gui.images.MainImages;
import at.ac.tuwien.asgaard.swing.StatusBar;

import java.awt.event.*;

import javax.swing.*;

/**
 * Class EditFindNextAction ... todo
 *
 * @version 2.7.3.#452
 * @author Peter Votruba
 */
public final class EditFindNextAction extends SimpleAction {
	public EditFindNextAction() {
		super("Find Next", MainImages.SEARCH_NEXT_ICON, 'N');

		putValue(ACCELERATOR_KEY, KeyStroke.getKeyStroke(KeyEvent.VK_F3, 0));
		putValue(SHORT_DESCRIPTION, "Find the next occurence of a keyword in active file"); // when mouse over
		putValue(StatusBar.DESCRIPTION_HOVER, "Repeat the last find/replace action."); // when mouse over - statusbar
		putValue(StatusBar.DESCRIPTION_ACTIVE, "Finding the next occurence of a keyword in active file ...");  // when clicked
		enabled = false;
	}

    protected void simpleActionPerformed() {
		MainController.getActiveSide().deltaView.findNext();
	}
}
