package at.ac.tuwien.asgaard.delta.gui.actions.edit;

import at.ac.tuwien.asgaard.delta.gui.MainController;
import at.ac.tuwien.asgaard.delta.gui.actions.SimpleAction;
import at.ac.tuwien.asgaard.delta.gui.images.MainImages;
import at.ac.tuwien.asgaard.swing.StatusBar;

import java.awt.event.*;

import javax.swing.*;

/**
 * Class EditFindPreviousAction ... todo
 *
 * @version 2.7.3.#452
 * @author Peter Votruba
 */
public final class EditFindPreviousAction extends SimpleAction {
	public EditFindPreviousAction() {
		super("Find Previous", MainImages.SEARCH_NEXT_ICON, 'N');

		putValue(ACCELERATOR_KEY, KeyStroke.getKeyStroke(KeyEvent.VK_F3, KeyEvent.SHIFT_MASK));
		putValue(SHORT_DESCRIPTION, "Find the previous occurence of a keyword in active file"); // when mouse over
		putValue(StatusBar.DESCRIPTION_HOVER, "Repeat the last find/replace action with opposite direction."); // when mouse over - statusbar
		putValue(StatusBar.DESCRIPTION_ACTIVE, "Finding the previous occurence of a keyword in active file ...");  // when clicked
		enabled = false;
	}

    protected void simpleActionPerformed() {
		MainController.getActiveSide().deltaView.findPrevious();
	}
}
