/*
 * Project: DELTA - Guideline Markup Tool / Version: 2.7.3.#452
 * User: peter
 * Date: 30.04.2003
 * Time: 11:26:35
 */
package at.ac.tuwien.asgaard.delta.gui.actions.edit;

import at.ac.tuwien.asgaard.delta.gui.MainController;
import at.ac.tuwien.asgaard.delta.gui.actions.SimpleAction;
import at.ac.tuwien.asgaard.delta.gui.images.MainImages;
import at.ac.tuwien.asgaard.delta.gui.misc.FindAllDialog;
import at.ac.tuwien.asgaard.delta.gui.xml.XMLView;
import at.ac.tuwien.asgaard.swing.StatusBar;

import java.awt.event.*;

import javax.swing.*;

/**
 * Class FileSaveAllAction ... todo
 *
 * @version 2.7.3.#452
 * @author Peter Votruba
 */
public final class EditHighlightSearchResultsAction extends SimpleAction {
	public EditHighlightSearchResultsAction() {
		super("Highlight search results", MainImages.HIGHLIGHT_SEARCH_ICON, 'H');

		putValue(LOCAL_ACCELERATOR_KEY, KeyStroke.getKeyStroke(KeyEvent.VK_H, InputEvent.CTRL_MASK));
		putValue(SHORT_DESCRIPTION, "Highlight all occurences of a keyword in active file -- WORK IN PROGRESS"); // when mouse over
		putValue(StatusBar.DESCRIPTION_HOVER, "Highlight all occurences of a keyword in active file. -- WORK IN PROGRESS"); // when mouse over - statusbar
		putValue(StatusBar.DESCRIPTION_ACTIVE, "Highlighting all occurences of a keyword in active file ... -- WORK IN PROGRESS");  // when clicked
		enabled = false;
	}

	private FindAllDialog dialog;
    protected void simpleActionPerformed() {  // todo: search in HTML
        if (dialog == null) dialog = new FindAllDialog(mainFrame);
		if (dialog.showDialog()) {
			String keyword = dialog.getKeyword();
			XMLView xmlView = MainController.getActiveSide().xmlView;
			xmlView.searchHighlightResults(keyword, XMLView.SEARCH_ALL, false, false, false, false);
		}
	}
}
