/*
 * Project: DELTA - Guideline Markup Tool / Version: 2.7.3.#452
 * User: peter
 * Date: 30.04.2003
 * Time: 11:26:35
 */
package at.ac.tuwien.asgaard.delta.gui.actions.edit;

import at.ac.tuwien.asgaard.delta.gui.MainController;
import at.ac.tuwien.asgaard.delta.gui.images.MainImages;
import at.ac.tuwien.asgaard.swing.StatusBar;

import java.awt.event.*;

import javax.swing.*;

/**
 * Class FileSaveAllAction ... todo
 *
 * @version 2.7.3.#452
 * @author Peter Votruba
 */
public final class EditPasteAfterAction extends EditPasteIntoAction {
	public EditPasteAfterAction() {
		super("Paste After", MainImages.XML_INSERT_AFTER_ICON, 'A');

		putValue(LOCAL_ACCELERATOR_KEY, KeyStroke.getKeyStroke(KeyEvent.VK_V, InputEvent.CTRL_MASK | InputEvent.ALT_MASK));
		putValue(SHORT_DESCRIPTION, "Paste clipboard content after current element"); // when mouse over
		putValue(StatusBar.DESCRIPTION_HOVER, "Paste clipboard content after current element."); // when mouse over - statusbar
		putValue(StatusBar.DESCRIPTION_ACTIVE, "Pasting from clipboard ...");  // when clicked
	}

    protected void paste(int activeSideIndex) {
        MainController.deltaSides[activeSideIndex].xmlView.insertNodeAfter(MainController.xmlClipBoard.xmlNode.cloneNode( true));
    }
}
