/*
 * Part of "Guideline Markup Tool"
 * Created by peter, 22.09.2004, 17:41:12
 */

package at.ac.tuwien.asgaard.delta.gui.actions.file;

import at.ac.tuwien.asgaard.delta.gui.actions.SimpleAction;
import at.ac.tuwien.asgaard.delta.gui.images.MainImages;
import at.ac.tuwien.asgaard.delta.gui.MainController;
import at.ac.tuwien.asgaard.swing.StatusBar;

import javax.swing.KeyStroke;
import java.awt.event.KeyEvent;
import java.awt.event.InputEvent;

/**
 * Class FilePrintAction ... todo
 * 
 * @author Peter Votruba
 * @version 2.7.3.#452
 * @since JDK 1.4.0
 */
public class FilePrintAction extends SimpleAction {
	public FilePrintAction() {
		super("Print...", MainImages.PRINT_ICON, 'P');
		putValue(SHORT_DESCRIPTION, "Print current document -- WORK IN PROGRESS"); // when mouse over
		putValue(StatusBar.DESCRIPTION_HOVER, "Print current document. -- WORK IN PROGRESS"); // when mouse over - statusbar
		putValue(StatusBar.DESCRIPTION_ACTIVE, "Printing current document ... -- WORK IN PROGRESS");  // when clicked
		putValue(ACCELERATOR_KEY, KeyStroke.getKeyStroke(KeyEvent.VK_P, InputEvent.CTRL_MASK));
	}

	protected void simpleActionPerformed() {
		MainController.getActiveSide().deltaView.print();
	}
}
