package at.ac.tuwien.asgaard.delta.gui.actions.help;

import at.ac.tuwien.asgaard.delta.gui.actions.SimpleAction;
import at.ac.tuwien.asgaard.delta.gui.images.MainImages;
import at.ac.tuwien.asgaard.swing.StatusBar;

import javax.swing.KeyStroke;
import java.awt.event.InputEvent;
import java.awt.event.KeyEvent;

public final class HelpRefreshGUIAction extends SimpleAction {
    public HelpRefreshGUIAction() {
        super("Refresh GUI", MainImages.REFRESH_GUI_ICON, 'R');

		putValue(ACCELERATOR_KEY, KeyStroke.getKeyStroke(KeyEvent.VK_R, InputEvent.CTRL_MASK | InputEvent.ALT_MASK));
		putValue(StatusBar.TOOL_TIP, "Refresh the user interface"); // when mouse over - tool-tip
		putValue(StatusBar.DESCRIPTION_HOVER, "Try this, if the user interface does not look as it should look."); // when mouse over - statusbar
		putValue(StatusBar.DESCRIPTION_ACTIVE, "Refreshing the user interface ...");  // when clicked
    }
    public void simpleActionPerformed() {
    //    Log.trace("refresh GUI ...");
		mainFrame.refreshGUI();
    }
}
