package at.ac.tuwien.asgaard.delta.gui.actions.help;

import at.ac.tuwien.asgaard.delta.gui.actions.SimpleAction;
import at.ac.tuwien.asgaard.delta.gui.images.MainImages;
import at.ac.tuwien.asgaard.swing.StatusBar;

import javax.swing.KeyStroke;
import java.awt.event.InputEvent;
import java.awt.event.KeyEvent;

public final class HelpResetLayoutAction extends SimpleAction {
    public HelpResetLayoutAction() {
        super("Reset Layout", MainImages.REFRESH_GUI_ICON, 'L');

		putValue(ACCELERATOR_KEY, KeyStroke.getKeyStroke(KeyEvent.VK_R, InputEvent.CTRL_MASK | InputEvent.ALT_MASK | InputEvent.SHIFT_MASK));
		putValue(StatusBar.TOOL_TIP, "Resets the GUI layout"); // when mouse over - tool-tip
		putValue(StatusBar.DESCRIPTION_HOVER, "Resets the window size/position and splitpane divider locations."); // when mouse over - statusbar
		putValue(StatusBar.DESCRIPTION_ACTIVE, "Resetting layout ...");  // when clicked
    }
    public void simpleActionPerformed() {
		mainFrame.resetLayout();
    }
}
