package at.ac.tuwien.asgaard.delta.gui.actions.help;

import at.ac.tuwien.asgaard.delta.gui.actions.SimpleAction;
import at.ac.tuwien.asgaard.delta.gui.images.MainImages;
import at.ac.tuwien.asgaard.swing.StatusBar;
import at.ac.tuwien.asgaard.util.BrowserControl;

public final class HelpWWWOpenAsgaardSiteAction extends SimpleAction {
    public HelpWWWOpenAsgaardSiteAction() {
        super("Home", MainImages.WWW_ASGAARD_ICON, 'H');

		putValue(StatusBar.TOOL_TIP, "IEG site"); // when mouse over - tool-tip
		putValue(StatusBar.DESCRIPTION_HOVER, "Open site of Information Engineering group (in default browser)."); // when mouse over - statusbar
		putValue(StatusBar.DESCRIPTION_ACTIVE, "Opening Asgaard site ...");  // when clicked
    }
    public void simpleActionPerformed() {
		BrowserControl.displayURL("http://ieg.ifs.tuwien.ac.at/");
    }
}
