/*
 * Project: DELTA - Guideline Markup Tool / Version: 2.7.3.#452
 * Author: Peter Votruba
 * Date: 01.09.2003
 * Time: 11:31:53
 */
package at.ac.tuwien.asgaard.delta.gui.actions.macros;

import at.ac.tuwien.asgaard.delta.gui.MainController;
import at.ac.tuwien.asgaard.delta.gui.images.MainImages;
import at.ac.tuwien.asgaard.swing.selectable.RadioButtonAbstractAction;
import at.ac.tuwien.asgaard.util.xml.dtd.DTDHelper;

import java.awt.event.*;

import javax.swing.*;
import javax.swing.event.*;

/**
 * Class MacroSwitchToInsertModeAfterAction ... todo
 *
 * @version 2.7.3.#452
 * @author Peter Votruba
 * @since JDK 1.3.0
 */
public class MacroSwitchToInsertModeAfterAction extends RadioButtonAbstractAction {
    public MacroSwitchToInsertModeAfterAction() {
        super("Insert After", MainImages.XML_INSERT_AFTER_ICON, 'A',
                "\"Insert Macro\"-Action will insert current macro after selected Element");
        putValue(ACCELERATOR_KEY, KeyStroke.getKeyStroke(KeyEvent.VK_M, InputEvent.ALT_MASK | InputEvent.SHIFT_MASK));
		enabled = false;
    }

    public void stateChanged(ChangeEvent evt) {
		MainController.getActiveSideController().dtdHelper.setInsertMode(DTDHelper.INSERT_MODE_AFTER);
        MainController.mainFrame.macroInsertModeComboBox.setSelectedIndex(2);
    }
}
