package at.ac.tuwien.asgaard.delta.gui.actions.macros;

import at.ac.tuwien.asgaard.delta.gui.actions.SimpleAction;
import at.ac.tuwien.asgaard.delta.gui.images.MainImages;
import at.ac.tuwien.asgaard.delta.gui.MainController;

public class MacrosSearchForInsertLocationDownAction extends SimpleAction {
	public MacrosSearchForInsertLocationDownAction() {
		super("Search Down", MainImages.SEARCH_DOWN_ICON, 'D', "Search Down", "Search Downwards for next possible insert-location in current XML file", false);
	}

	protected void simpleActionPerformed() {
		MainController.getActiveSide().xmlView.searchForNextMacroInsertionPosition(mainFrame.macrosView.getMacroXMLElement(), false, true);
		MainController.aEditFindNext.setEnabled(true);
		MainController.aEditFindPrevious.setEnabled(true);
	}
}
