package at.ac.tuwien.asgaard.delta.gui.actions.macros;

import at.ac.tuwien.asgaard.delta.gui.actions.SimpleAction;
import at.ac.tuwien.asgaard.delta.gui.images.MainImages;
import at.ac.tuwien.asgaard.delta.gui.MainController;

public class MacrosSearchForInsertLocationUpAction extends SimpleAction {
	public MacrosSearchForInsertLocationUpAction() {
		super("Search Up", MainImages.SEARCH_UP_ICON, 'U', "Search Up", "Search Upwards for next possible insert-location in current XML file", false);
	}

	protected void simpleActionPerformed() {
		MainController.getActiveSide().xmlView.searchForNextMacroInsertionPosition(mainFrame.macrosView.getMacroXMLElement(), false, false);
		MainController.aEditFindNext.setEnabled(true);
		MainController.aEditFindPrevious.setEnabled(true);
	}
}
