/*
 * Project "Asbru Interpreter".
 * 
 * $Id$
 */
package at.ac.tuwien.asgaard.delta.gui.actions.options;

import at.ac.tuwien.asgaard.delta.gui.actions.SimpleAction;
import at.ac.tuwien.asgaard.delta.gui.images.MainImages;
import at.ac.tuwien.asgaard.delta.gui.misc.ProcessTemplatesDialog;
import at.ac.tuwien.asgaard.delta.gui.MainController;
import at.ac.tuwien.asgaard.swing.StatusBar;

import java.awt.event.*;

import javax.swing.*;

/**
 * Class OptionsProcessTemplatesShowDialogAction ... todo
 *
 * @version 2.7.3.#452
 * @author Peter Votruba
 * @since JDK 1.4.0
 */
public class OptionsProcessTemplatesShowDialogAction extends SimpleAction {

    public OptionsProcessTemplatesShowDialogAction() {
        super("Process Templates...", MainImages.PROJECT_PROPERTIES_ICON, 'T');

        putValue(StatusBar.TOOL_TIP, "Show Process Templates"); // when mouse over - tool-tip
        putValue(StatusBar.DESCRIPTION_HOVER, "Configure process templates."); // when mouse over - statusbar
        putValue(StatusBar.DESCRIPTION_ACTIVE, "Configure process templates ...");  // when clicked
        putValue(ACCELERATOR_KEY, KeyStroke.getKeyStroke(KeyEvent.VK_T, InputEvent.ALT_MASK | InputEvent.CTRL_MASK));
    }

    protected void simpleActionPerformed() {
        ProcessTemplatesDialog dialog = ProcessTemplatesDialog.getSharedInstance();
        if (dialog.showDialog())
			MainController.buildProcessTemplatesMenu();
	}
}
