/*
 * Project: DELTA - Guideline Markup Tool / Version: 2.7.3.#452
 * Author: Peter Votruba
 * Date: 19.05.2003
 * Time: 14:59:44
 */
package at.ac.tuwien.asgaard.delta.gui.actions.project;

import at.ac.tuwien.asgaard.delta.gui.actions.SimpleAction;
import at.ac.tuwien.asgaard.delta.gui.images.MainImages;
import at.ac.tuwien.asgaard.delta.gui.MainController;
import at.ac.tuwien.asgaard.swing.StatusBar;

/**
 * Class ProjectShowPropertiesDialogAction ... todo
 *
 * @version 2.7.3.#452
 * @author Peter Votruba
 * @since JDK 1.3.0
 */
public class ProjectCloseAction extends SimpleAction {
	public ProjectCloseAction() {
		super("Close Project", MainImages.PROJECT_CLOSE_ICON, 'C');

		putValue(StatusBar.TOOL_TIP, "Close current Project"); // when mouse over - tool-tip
		putValue(StatusBar.DESCRIPTION_HOVER, "Close current Project Files."); // when mouse over - statusbar
		putValue(StatusBar.DESCRIPTION_ACTIVE, "Closing current Project Files ...");  // when clicked
		enabled = false;
	}
	public final void simpleActionPerformed() {
		MainController.setDELTAProject(null, true, false);
		MainController.aFileCloseAll.setEnabled(MainController.deltaSides[LEFT].deltaView.isLoaded() || MainController.deltaSides[RIGHT].deltaView.isLoaded() ||
												MainController.mainFrame.macrosView.isLoaded());
	}
}
