/*
 * Project: DELTA - Guideline Markup Tool / Version: 2.7.3.#452
 * Author: Peter Votruba
 * Date: 26.05.2003
 * Time: 15:23:26
 */
package at.ac.tuwien.asgaard.delta.gui.actions.xhtml;

import at.ac.tuwien.asgaard.util.Log;

import javax.swing.*;

/**
 * Class SimpleBothSidesAction ... todo
 *
 * @version 2.7.3.#452
 * @author Peter Votruba
 * @since JDK 1.3.0
 */
public abstract class SimpleBothSidesAction extends BothSidesAction {
	protected SimpleBothSidesAction(int thisSideIndex, String name, Icon icon) {
		super(thisSideIndex, name, icon);
	}

	protected SimpleBothSidesAction(int thisSideIndex) {
		super(thisSideIndex);
	}
	protected SimpleBothSidesAction(int sideIndex, Icon icon, String toolTip) {
		super(sideIndex, icon, toolTip, toolTip);
	}

	protected void actionPerformed() {
	// if ((evt.getModifiers() != 2) || thisSide.deltaView.isFocusOwner()) { // ?????
			mainFrame.statusBar.unsetHoverMessageFrom(this);
			mainFrame.setStatusBarActiveMessage(this, true);
			try {
				simpleActionPerformed();
			} catch (Throwable t) {
				Log.error("Error in action: " + getValue(NAME));
				t.printStackTrace();
				JOptionPane.showMessageDialog(mainFrame, "Strange Error occurred during following action: \"" + getValue(NAME) + "\"", "ERROR", JOptionPane.ERROR_MESSAGE);
			} finally {
				mainFrame.setStatusBarActiveMessage(this, false);
			}
		}
// }

	protected abstract void simpleActionPerformed();
}
