/*
 * Project: Asgaard - Guideline Markup Tool
 * Class: XHTMLReloadFileAction
 * User: Peter
 * Date: 26.05.2003
 * Time: 03:26:08
 */

package at.ac.tuwien.asgaard.delta.gui.actions.xhtml;

import at.ac.tuwien.asgaard.delta.gui.images.MainImages;
import at.ac.tuwien.asgaard.swing.StatusBar;

import javax.swing.*;
import java.awt.event.KeyEvent;
import java.awt.event.InputEvent;

/**
 * Class XHTMLReloadFileAction ... todo
 */
public class XHTMLGoBackAction extends SimpleBothSidesAction {
	public XHTMLGoBackAction(int thisSideIndex) {
		super(thisSideIndex, "Go Back", MainImages.BACK_ICON);

		putValue(LOCAL_ACCELERATOR_KEY, KeyStroke.getKeyStroke(KeyEvent.VK_LEFT, InputEvent.CTRL_MASK | InputEvent.ALT_MASK));
		putValue(MNEMONIC_KEY, new Integer('B'));
		putValue(StatusBar.TOOL_TIP, "Go back"); // when mouse over
		putValue(StatusBar.DESCRIPTION_HOVER, "Go back to the previous treenode."); // when mouse over - statusbar
		enabled = false;
	}

	protected void simpleActionPerformed() {
		if (thisSideController.aSwitchToViewer.isSelected()) {
			thisSideController.aSwitchToViewer.setSelected(true);
			setEnabled(thisSide.deltaView.goBack());
		} else
			setEnabled(thisSide.htmlOutput.goBack()); // todo test it - go back in HTML view of source code
		thisSideController.aGoForward.setEnabled(true);
	}
}
