/*
 * Asgaard-Project (Peter Votruba), http://www.asgaard.tuwien.ac.at/
 * Vienna University of Technology (Austria)
 * Institute of Software Technology and Interactive Systems
 * Information & Software Engineering Group
 * --------------------------------------------------------------------
 * in cooperation with the Protocure-Project, http://www.protocure.org/
 */
package at.ac.tuwien.asgaard.delta.gui.actions.xhtml;

import at.ac.tuwien.asgaard.delta.gui.images.MainImages;
import at.ac.tuwien.asgaard.swing.StatusBar;

/**
 * Class XHTMLHighlightAllLinksAction ... todo
 */
public class XHTMLHighlightDeadLinksAction extends BothSidesAction {
	public XHTMLHighlightDeadLinksAction(int thisSideIndex) {
		super(thisSideIndex);

		putValue(NAME, "Highlight dead Links");
		putValue(SMALL_ICON, MainImages.LINKS_ICON);
		putValue(MNEMONIC_KEY, new Integer('D'));
		putValue(StatusBar.TOOL_TIP, "Highlight dead Links"); // when mouse over
		putValue(StatusBar.DESCRIPTION_HOVER, "Highlight all dead Links."); // when mouse over - statusbar
		this.enabled = false;
	}

	protected void actionPerformed() {
		thisSide.deltaView.highlightDeadDELTALinks(otherSide.deltaView.getAllLinkIDs());
	}
}
