/*
 * Project: DELTA - Guideline Markup Tool / Version: 2.7.3.#452
 * Author: Peter Votruba
 * Date: 06.08.2003
 * Time: 12:17:52
 */
package at.ac.tuwien.asgaard.delta.gui.actions.xhtml;

import at.ac.tuwien.asgaard.delta.gui.images.MainImages;
import at.ac.tuwien.asgaard.swing.StatusBar;

import javax.swing.*;
import java.awt.event.KeyEvent;

/**
 * Class XHTMLMaximizeViewAction ... todo
 *
 * @version 2.7.3.#452
 * @author Peter Votruba
 * @since JDK 1.3.0
 */
public class XHTMLMaximizeViewAction extends SimpleBothSidesAction {
	public XHTMLMaximizeViewAction(int thisSideIndex) {
		super(thisSideIndex, "Maximize View Size", MainImages.MAXIMIZE_VIEW_ICON);

		putValue(LOCAL_ACCELERATOR_KEY, KeyStroke.getKeyStroke(KeyEvent.VK_F11, 0));
		putValue(MNEMONIC_KEY, new Integer('M'));
		putValue(StatusBar.TOOL_TIP, "Maximize View Size"); // when mouse over
		putValue(StatusBar.DESCRIPTION_HOVER, "Maximize View Size."); // when mouse over - statusbar
	}

	protected void simpleActionPerformed() {
		thisSide.maximizeView();
	}
}
