/*
 * Project: Asgaard - Guideline Markup Tool
 * Class: XHTMLReloadFileAction
 * User: Peter
 * Date: 26.05.2003
 * Time: 03:26:08
 */

package at.ac.tuwien.asgaard.delta.gui.actions.xhtml;

import at.ac.tuwien.asgaard.delta.gui.images.MainImages;
import at.ac.tuwien.asgaard.swing.StatusBar;

import javax.swing.*;
import java.awt.event.KeyEvent;

/**
 * Class XHTMLReloadFileAction ... todo
 */
public class XHTMLRestoreViewSizeAction extends SimpleBothSidesAction {
	public XHTMLRestoreViewSizeAction(int thisSideIndex) {
		super(thisSideIndex, "Restore View Size", MainImages.RESTORE_VIEW_ICON);

		putValue(LOCAL_ACCELERATOR_KEY, KeyStroke.getKeyStroke(KeyEvent.VK_F12, 0));
		putValue(MNEMONIC_KEY, new Integer('R'));
		putValue(StatusBar.TOOL_TIP, "Restore View Size"); // when mouse over
		putValue(StatusBar.DESCRIPTION_HOVER, "Restore View to previous size."); // when mouse over - statusbar
	}

	protected void simpleActionPerformed() {
		thisSide.restoreViewSize();
	}
}
