/*
 * Project "Asbru Interpreter".
 * 
 * $Id$
 */
package at.ac.tuwien.asgaard.delta.gui.actions.xhtml.xml;

import at.ac.tuwien.asgaard.delta.gui.MainController;
import at.ac.tuwien.asgaard.delta.gui.actions.xhtml.BothSidesAction;
import at.ac.tuwien.asgaard.delta.gui.images.MainImages;
import at.ac.tuwien.asgaard.delta.xmlBeans.xmlLanguage.XmlLanguage;

/**
 * Class XMLAddTemplateAction - todo javadoc.
 *
 * @author Peter Votruba
 * @version $Revision$
 */
public class XMLAddTemplateAction extends BothSidesAction {
	private final XmlLanguage xmlLanguage;

	public XMLAddTemplateAction(int sideIndex, XmlLanguage xmlLanguage) {
		super(sideIndex, "Add/Edit Template ...", MainImages.ADD_ICON, 'A', "Add/Edit Template definition for '"+ xmlLanguage.getName()+"' XML-Language");
		this.xmlLanguage = xmlLanguage;
	}

	protected void actionPerformed() {
		if (MainController.getXMLLanguageDialog().newTemplate(xmlLanguage)) {
			thisSideController.buildXMLLanguageMenus();
			if (xmlLanguage == otherSideController.currentXMLLanguage)
				otherSideController.buildXMLLanguageMenus();
		}
	}
}
