/*
 * Project: DELTA - Guideline Markup Tool / Version: 2.7.3.#452
 * Author: Peter Votruba
 * Date: 22.05.2003
 * Time: 14:52:05
 */
package at.ac.tuwien.asgaard.delta.gui.actions.xhtml.xml.view;

import at.ac.tuwien.asgaard.delta.gui.actions.xhtml.BothSidesAction;
import at.ac.tuwien.asgaard.delta.gui.images.MainImages;
import at.ac.tuwien.asgaard.swing.StatusBar;

/**
 * Class XMLDELTALinksVisualizationUpAction ... todo
 *
 * @version 2.7.3.#452
 * @author Peter Votruba
 * @since JDK 1.3.0
 */
public class XMLTreeFoldingExpandAll extends BothSidesAction {
	public XMLTreeFoldingExpandAll(int thisSideIndex) {
		super(thisSideIndex);
		putValue(NAME, "Expand All");
		putValue(SMALL_ICON, MainImages.TREE_EXPAND_ICON);
		putValue(MNEMONIC_KEY, new Integer('E'));
		putValue(StatusBar.TOOL_TIP, "Expand all"); // when mouse over
		putValue(StatusBar.DESCRIPTION_HOVER, "Expand all treenodes."); // when mouse over - statusbar
		enabled = false;
	}

	protected void actionPerformed() {
        thisSideController.aSwitchToViewer.setSelected(true);
		thisSide.xmlView.expandAll();
	}
}
