/*
 * Project: DELTA - Guideline Markup Tool / Version: 2.7.3.#452
 * Author: Peter Votruba
 * Date: 22.05.2003
 * Time: 14:52:05
 */
package at.ac.tuwien.asgaard.delta.gui.actions.xhtml.xml.view;

import at.ac.tuwien.asgaard.delta.gui.actions.xhtml.BothSidesAction;
import at.ac.tuwien.asgaard.delta.gui.images.MainImages;
import at.ac.tuwien.asgaard.swing.StatusBar;

import javax.swing.*;
import java.awt.event.*;

/**
 * Class XMLDELTALinksVisualizationUpAction ... todo
 *
 * @version 2.7.3.#452
 * @author Peter Votruba
 * @since JDK 1.3.0
 */
public class XMLTreeGotoNextSibling extends BothSidesAction {
	public XMLTreeGotoNextSibling(int thisSideIndex) {
		super(thisSideIndex, "Goto Next Sibling Node", MainImages.TREE_GOTO_NEXT_SIBLING_ICON);
		putValue(ACCELERATOR_KEY, KeyStroke.getKeyStroke(KeyEvent.VK_DOWN, InputEvent.CTRL_MASK));
		putValue(MNEMONIC_KEY, new Integer('N'));
		putValue(StatusBar.TOOL_TIP, "Goto Next Sibling Node"); // when mouse over
		putValue(StatusBar.DESCRIPTION_HOVER, "Goto Next Sibling Node."); // when mouse over - statusbar
		enabled = false;
	}

	protected void actionPerformed() {
		thisSide.xmlView.gotoNextSiblingAction();
	}
}
