/**
 * Project: DELTA - Guideline Markup Tool / Version: 2.7.3.#452
 * Author: Peter Votruba
 * Date: 30.10.2003
 * Time: 12:06:36
 */
package at.ac.tuwien.asgaard.delta.gui.html.imageMap;

import at.ac.tuwien.asgaard.swing.AbstractInputDialog;

import javax.swing.*;
import java.awt.*;

/**
 * Class ImageMapEditorDialog ... todo
 * 
 * @author Peter Votruba
 * @version 2.7.3.#452
 * @since JDK 1.4
 */
public class ImageMapEditorDialog extends AbstractInputDialog {
	public ImageMapEditorDialog(Component parentComponent) {
		super(parentComponent, "Imagemap Editor", true, true, 300, 200, 100, 100, 0, 0);
	}

	private JLabel imageView;

	protected Component createMainComponent() {
		imageView = new JLabel();
		return new JScrollPane(imageView);
	}

	public void setImage(String imageFile) {
		imageView.setIcon(new ImageIcon(imageFile));
	}
}
