/*
 * Project: Guideline Markup Tool (DELTA) - 2.7.3-#452
 * Class: MiscImages
 * Author: peter
 * Date: 11.04.2003
 * Time: 11:01:04
 */

package at.ac.tuwien.asgaard.delta.gui.misc.images;

import at.ac.tuwien.asgaard.delta.gui.macros.images.MacrosImages;
import at.ac.tuwien.asgaard.delta.gui.images.MainImages;
import at.ac.tuwien.asgaard.delta.gui.xml.images.XMLImages;

import javax.swing.*;

/**
 * Class MiscImages provides ... todo
 */ 
public final class MiscImages {
	public static final Icon DOTS_ICON = new ImageIcon(MiscImages.class.getResource("dots.gif"));

    public static final Icon HTML_FILE_ICON     = MainImages.HTML_ICON;
    public static final Icon XML_FILE_ICON      = MainImages.XML_ICON;
    public static final Icon XSL_FILE_ICON      = new ImageIcon(MiscImages.class.getResource("xslFile.gif"));
    public static final Icon MACROS_FILE_ICON   = MacrosImages.MACRO_ICON;
	public static final Icon LANG_FILE_ICON     = new ImageIcon(MiscImages.class.getResource("langFile.gif"));
    public static final Icon DTD_FILE_ICON      = XMLImages.DOCTYPE_NODE_ICON;
    public static final Icon ICON_FILE_ICON     = new ImageIcon(MiscImages.class.getResource("iconFile.gif"));

    private MiscImages() { } // should not be instantiated
}