/*
 * Copyright (c) 2004 Asgaard. All Rights Reserved.
 */
package at.ac.tuwien.asgaard.swing;

import javax.swing.event.DocumentListener;
import javax.swing.event.DocumentEvent;

/**
 * Class DocumentChangeAdapter ... todo
 *
 * @author Peter Votruba
 * @version 2.7.3.#452
 * @since JDK 1.4.0
 */
public abstract class DocumentChangeAdapter implements DocumentListener {
	public void insertUpdate(DocumentEvent evt) {
		documentChange(evt);
	}

	public void removeUpdate(DocumentEvent evt) {
		documentChange(evt);
	}

	public void changedUpdate(DocumentEvent evt) {
		documentChange(evt);
	}

	public abstract void documentChange(DocumentEvent evt);
}