package at.ac.tuwien.asgaard.util.xml;

import at.ac.tuwien.asgaard.util.FileUtils;
import org.xml.sax.EntityResolver;
import org.xml.sax.InputSource;

import java.io.File;

public final class FileURLEntityResolver implements EntityResolver {
	private File baseFile;
	public FileURLEntityResolver() {}
	public void setBaseFile(File baseFile) {
		this.baseFile = baseFile;
	}
	public InputSource resolveEntity(String publicId, String systemId) {
		if (systemId.startsWith("http:")) return null;
		systemId = FileUtils.urlifyFile(systemId, baseFile);
		return new InputSource(systemId);
	}
}
