package at.ac.tuwien.asgaard.delta.gui.actions;

import at.ac.tuwien.asgaard.delta.gui.*;
import at.ac.tuwien.asgaard.delta.util.Preferences;
import at.ac.tuwien.asgaard.swing.plaf.LocalAcceleratorMenuItemUI;

import javax.swing.AbstractAction;
import javax.swing.Icon;

public abstract class BaseAction extends AbstractAction implements GUIConstants {
	public static final String LOCAL_ACCELERATOR_KEY = LocalAcceleratorMenuItemUI.LOCAL_ACCELERATOR_KEY;

	protected final MainFrame mainFrame = MainController.mainFrame;
	protected final Preferences preferences = MainController.preferences;

	protected BaseAction() { }

	protected BaseAction(String name) {
		super(name);
	}

	protected BaseAction(String name, Icon icon) {
        super(name, icon);
    }
}
