package at.ac.tuwien.asgaard.delta.gui.actions.edit;

import at.ac.tuwien.asgaard.delta.gui.MainController;
import at.ac.tuwien.asgaard.delta.gui.actions.SimpleAction;
import at.ac.tuwien.asgaard.delta.gui.images.MainImages;
import at.ac.tuwien.asgaard.delta.gui.misc.AllElementsDialog;
import at.ac.tuwien.asgaard.swing.StatusBar;

import java.awt.event.*;

import javax.swing.*;

public class EditShowAllElementsDialogAction extends SimpleAction {
    public EditShowAllElementsDialogAction() {
        super("Show all Elements", MainImages.ALL_ELEMENTS_ICON, 'A');

        putValue(LOCAL_ACCELERATOR_KEY, KeyStroke.getKeyStroke(KeyEvent.VK_A, InputEvent.CTRL_MASK));
        putValue(StatusBar.TOOL_TIP, "Show all elements"); // when mouse over - tool-tip
        putValue(StatusBar.DESCRIPTION_HOVER, "Show all elements for the current XML language."); // when mouse over - statusbar
        this.enabled = false;
    }

    protected void simpleActionPerformed() {
        if (MainController.allElementsDialog == null)
            MainController.allElementsDialog = new AllElementsDialog();

        MainController.allElementsDialog.showDialog(MainController.getInactiveSide(), MainController.getActiveSideController().dtdHelper, MainController.getActiveSide().xmlView);
    }
}
