package at.ac.tuwien.asgaard.delta.gui.actions.help;

import at.ac.tuwien.asgaard.delta.gui.actions.SimpleAction;
import at.ac.tuwien.asgaard.delta.gui.images.MainImages;
import at.ac.tuwien.asgaard.swing.StatusBar;
import at.ac.tuwien.asgaard.util.BrowserControl;

public final class HelpWWWOpenDELTAManualAction extends SimpleAction {
    public HelpWWWOpenDELTAManualAction() {
        super("DELT/A Online Manual", MainImages.WWW_HELP_ICON, 'M');

		putValue(StatusBar.TOOL_TIP, "DELT/A Online Manual"); // when mouse over - tool-tip
		putValue(StatusBar.DESCRIPTION_HOVER, "Open DELT/A Online Manual (in default browser)."); // when mouse over - statusbar
		putValue(StatusBar.DESCRIPTION_ACTIVE, "Opening DELT/A Online Manual ...");  // when clicked
    }
    public void simpleActionPerformed() {
		BrowserControl.displayURL("http://www.asgaard.tuwien.ac.at/~peter/DELTA/manual/");
    }
}
