package at.ac.tuwien.asgaard.delta.gui.actions.help;

import at.ac.tuwien.asgaard.delta.gui.actions.SimpleAction;
import at.ac.tuwien.asgaard.delta.gui.images.MainImages;
import at.ac.tuwien.asgaard.swing.StatusBar;
import at.ac.tuwien.asgaard.util.BrowserControl;

public final class HelpWWWOpenDELTASiteAction extends SimpleAction {
    public HelpWWWOpenDELTASiteAction() {
        super("DELT/A Web-Site", MainImages.WWW_ICON, 'W');

		putValue(StatusBar.TOOL_TIP, "DELT/A site"); // when mouse over - tool-tip
		putValue(StatusBar.DESCRIPTION_HOVER, "Open {appNameShortLong} site in (default browser)."); // when mouse over - statusbar
		putValue(StatusBar.DESCRIPTION_ACTIVE, "Opening DELT/A site ...");  // when clicked
    }
    public void simpleActionPerformed() {
		BrowserControl.displayURL("http://www.asgaard.tuwien.ac.at/~peter/DELTA/");
    }
}
