/*
 * Project: DELTA - Guideline Markup Tool / Version: 2.7.3.#452
 * Author: Peter Votruba
 * Date: 19.05.2003
 * Time: 15:50:40
 */
package at.ac.tuwien.asgaard.delta.gui.actions.macros;

import at.ac.tuwien.asgaard.delta.gui.MainController;
import at.ac.tuwien.asgaard.delta.gui.actions.SimpleAction;
import at.ac.tuwien.asgaard.delta.gui.images.MainImages;

/**
 * Class MacrosGoBackAction ... todo
 *
 * @version 2.7.3.#452
 * @author Peter Votruba
 * @since JDK 1.3.0
 */
public class MacrosGoBackAction extends SimpleAction {
	public MacrosGoBackAction() {
		super("Go Back", MainImages.BACK_ICON, 'B', "Go back",
			  "Go back to the previous history location.", "Going back ...", false);
	}

	public void simpleActionPerformed() {
		setEnabled(mainFrame.macrosView.goBack());
		MainController.aMacrosGoForward.setEnabled(true);
	}
}
