/*
 * Project: DELTA - Guideline Markup Tool / Version: 2.7.3.#452
 * Author: Peter Votruba
 * Date: 19.05.2003
 * Time: 15:53:49
 */
package at.ac.tuwien.asgaard.delta.gui.actions.macros;

import at.ac.tuwien.asgaard.delta.gui.MainController;
import at.ac.tuwien.asgaard.delta.gui.actions.SimpleAction;
import at.ac.tuwien.asgaard.delta.gui.images.MainImages;

/**
 * Class MacrosGoForwardAction ... todo
 *
 * @version 2.7.3.#452
 * @author Peter Votruba
 * @since JDK 1.3.0
 */
public class MacrosGoForwardAction extends SimpleAction {
	public MacrosGoForwardAction() {
		super("Go Forward", MainImages.FORWARD_ICON, 'F', "Go forward",
			  "Go forward to the next history location.", "Going forward ...", false);
	}

	public void simpleActionPerformed() {
		setEnabled(mainFrame.macrosView.goForward());
		MainController.aMacrosGoBack.setEnabled(true);
	}
}
