/*
 * Asgaard-Project (Peter Votruba), http://www.asgaard.tuwien.ac.at/
 * Vienna University of Technology (Austria)
 * Institute of Software Technology and Interactive Systems
 * Information & Software Engineering Group
 * --------------------------------------------------------------------
 * in cooperation with the Protocure-Project, http://www.protocure.org/
 */
package at.ac.tuwien.asgaard.delta.gui.actions.macros;

import at.ac.tuwien.asgaard.delta.gui.MainController;
import at.ac.tuwien.asgaard.delta.gui.actions.SimpleAction;
import at.ac.tuwien.asgaard.delta.gui.images.MainImages;

/**
 * Class MacrosOpenAsXMLAction ... todo
 *
 * @author Peter Votruba
 * @version 2.7.3.#452
 * @since JDK 1.4.0
 */
public class MacrosOpenXMLInMacrosViewAction extends SimpleAction {
	public MacrosOpenXMLInMacrosViewAction() {
		super("Open XML in Macros View", MainImages.IMPORT_ICON, 'V', "Open current XML file of active side in Macros View", false);
	}

	protected void simpleActionPerformed() {
		MainController.aMacrosOpen.doOpenFile(MainController.getActiveSide().deltaView.getFile());
	}
}