package at.ac.tuwien.asgaard.delta.gui.actions.xhtml;

import at.ac.tuwien.asgaard.delta.gui.images.MainImages;
import at.ac.tuwien.asgaard.swing.StatusBar;

/**
 * Class XHTMLHighlightSameLinksAction ... todo
 */
public class XHTMLHighlightSameLinksAction extends BothSidesAction {
	public XHTMLHighlightSameLinksAction(int thisSideIndex) {
		super(thisSideIndex);

		putValue(NAME, "Highlight same Links");
		putValue(SMALL_ICON, MainImages.LINKS_ICON);
		putValue(MNEMONIC_KEY, new Integer('S'));
		putValue(StatusBar.TOOL_TIP, "Highlight same Links"); // when mouse over
		putValue(StatusBar.DESCRIPTION_HOVER, "Highlight all Link endpoints with the same link-ID in the current file."); // when mouse over - statusbar
		this.enabled = false;
	}

	protected void actionPerformed() {
		thisSide.deltaView.highlightSameDELTALinks();
	}
}
