/*
 * Asgaard-Project (Peter Votruba), http://www.asgaard.tuwien.ac.at/
 * Vienna University of Technology (Austria)
 * Institute of Software Technology and Interactive Systems
 * Information & Software Engineering Group
 * --------------------------------------------------------------------
 * in cooperation with the Protocure-Project, http://www.protocure.org/
 */

package at.ac.tuwien.asgaard.delta.gui.actions.xhtml.html;

import at.ac.tuwien.asgaard.swing.selectable.RadioButtonAbstractAction;
import at.ac.tuwien.asgaard.delta.gui.MainController;

import javax.swing.event.ChangeEvent;

/**
 * Class HTMLCreateOverlappingLinksMode ... todo
 *
 * @author Peter Votruba
 * @version 2.7.3.#452
 * @since JDK 1.4.0
 */
public class HTMLProvideLinkIDForOtherSideMode extends RadioButtonAbstractAction {
	private int thisSide;
	public HTMLProvideLinkIDForOtherSideMode(int thisSide) {
		super("... provide link ID for other side", 'P');
		this.thisSide = thisSide;
	}

	public void stateChanged(ChangeEvent e) {
		MainController.deltaSides[thisSide].deltaView.setLinkMode(true);
	}
}
