/*
 * Project: Asgaard - Guideline Markup Tool
 * Class: XMLRemoveNodeAction
 * User: Peter
 * Date: 26.05.2003
 * Time: 03:04:38
 */

package at.ac.tuwien.asgaard.delta.gui.actions.xhtml.xml;

import at.ac.tuwien.asgaard.delta.gui.actions.xhtml.SimpleBothSidesAction;
import at.ac.tuwien.asgaard.delta.gui.images.MainImages;
import at.ac.tuwien.asgaard.swing.StatusBar;

/**
 * Class XMLRemoveNodeAction ... todo
 */
public final class XMLAddAttributeAction extends SimpleBothSidesAction {
	public XMLAddAttributeAction(int thisSideIndex) {
		super(thisSideIndex);
		putValue(NAME, "Add Attribute");
		putValue(SMALL_ICON, MainImages.XML_ATTR_ADD_ICON);
		putValue(MNEMONIC_KEY, new Integer('A'));
		putValue(StatusBar.TOOL_TIP, "Add new attribute"); // when mouse over
		putValue(StatusBar.DESCRIPTION_HOVER, "Add selected attribute into selected XML Node."); // when mouse over - statusbar
		putValue(StatusBar.DESCRIPTION_ACTIVE, "Adding attribute ...");  // when clicked
		this.enabled = false;
	}

	public void simpleActionPerformed() {
		if (enabled) {
			thisSideController.aSwitchToViewer.setSelected(true);
			String attrName = (String)thisSide.newAttributesComboBoxModel.getSelectedItem();
			thisSide.xmlAttributesTable.addAttribute(attrName, otherSide.deltaView.getSelectedText());
		}
	}
}
