/*
 * Project: Asgaard - Guideline Markup Tool
 * Class: XMLRemoveNodeAction
 * User: Peter
 * Date: 26.05.2003
 * Time: 03:04:38
 */

package at.ac.tuwien.asgaard.delta.gui.actions.xhtml.xml;

import at.ac.tuwien.asgaard.delta.gui.actions.xhtml.SimpleBothSidesAction;
import at.ac.tuwien.asgaard.delta.gui.images.MainImages;
import at.ac.tuwien.asgaard.swing.StatusBar;

import javax.swing.*;
import java.awt.event.KeyEvent;

/**
 * Class XMLChangeTextValueAction ... todo
 */
public final class XMLChangeTextValueAction extends SimpleBothSidesAction {
	public XMLChangeTextValueAction(int thisSideIndex) {
		super(thisSideIndex, "Change Text Value", MainImages.EDIT_ICON);
		putValue(LOCAL_ACCELERATOR_KEY, KeyStroke.getKeyStroke(KeyEvent.VK_F2, 0));
		putValue(MNEMONIC_KEY, new Integer('T'));
		putValue(StatusBar.TOOL_TIP, "Change Text Value"); // when mouse over - tool-tip
		putValue(StatusBar.DESCRIPTION_HOVER, "Change Text Value of current COMMENT / TEXT node."); // when mouse over - statusbar
		putValue(StatusBar.DESCRIPTION_ACTIVE, "Changing Text Value ...");  // when clicked
		enabled = false;
	}

	public void simpleActionPerformed() {
		thisSideController.aSwitchToViewer.setSelected(true);
		thisSide.xmlView.changeTextValueOfCurrentTreeNode();
	}
}
