/*
 * Project: DELTA - Guideline Markup Tool / Version: 2.7.3.#452
 * Author: Peter Votruba
 * Date: 26.06.2003
 * Time: 12:20:16
 */
package at.ac.tuwien.asgaard.delta.gui.actions.xhtml.xml.view;

import at.ac.tuwien.asgaard.delta.gui.images.MainImages;
import at.ac.tuwien.asgaard.delta.gui.actions.xhtml.BothSidesAction;
import at.ac.tuwien.asgaard.swing.StatusBar;

/**
 * Class XMLTreeFilterShowXPath provides ... todo
 *
 * @version 2.7.3.#452
 * @author Peter Votruba
 * @since JDK 1.3.0
 */
public class XMLTreeShowAllTreeNodes extends BothSidesAction {
    public XMLTreeShowAllTreeNodes(int thisSideIndex) {
        super(thisSideIndex, "Show all tree nodes ...", MainImages.TREE_VIEW_ICON);
        putValue(MNEMONIC_KEY, new Integer('S'));
        putValue(StatusBar.TOOL_TIP, "Show all tree nodes"); // when mouse over
        putValue(StatusBar.DESCRIPTION_HOVER, "Show all tree nodes."); // when mouse over - statusbar
        enabled = false;
    }

	protected void actionPerformed() {
        thisSideController.resetXMLTreeActions();
        thisSideController.aSwitchToViewer.setSelected(true);
        thisSide.xmlView.showAllTreeNodes();
		thisSideController.thisSide.visualizeFilterState(true, false);
		thisSideController.aGoBack.setEnabled(false);
		thisSideController.aGoForward.setEnabled(false);
    }
}
