/*
 * Project: Guideline Markup Tool (DELTA) - 2.7.3-#452
 * Class: MainImages
 * Author: peter
 * Date: 09.04.2003
 * Time: 16:18:46
 */

package at.ac.tuwien.asgaard.delta.gui.images;

import at.ac.tuwien.asgaard.delta.gui.misc.images.MiscImages;

import javax.swing.*;

/**
 * Class MainImages ... todo
 */
public final class MainImages {

	// general Icons
	public static final Icon LINK_ICON           = new ImageIcon(MainImages.class.getResource("link.gif"));
    public static final Icon LINKS_ICON          = new ImageIcon(MainImages.class.getResource("links.gif"));
	public static final Icon ACTIVATE_LINKS_ICON = new ImageIcon(MainImages.class.getResource("activateLinks.gif"));

	public static final Icon OPENED_FOLDER_ICON = new ImageIcon(MainImages.class.getResource("openedFolder.gif"));
	public static final Icon CLOSED_FOLDER_ICON = new ImageIcon(MainImages.class.getResource("closedFolder.gif"));

	public static final Icon BOOKMARK_ICON = new ImageIcon(MainImages.class.getResource("bookmark.gif"));

	public static final Icon CLOSE_ICON  = new ImageIcon(MainImages.class.getResource("close.gif"));
	public static final Icon CLEAR_ICON  = new ImageIcon(MainImages.class.getResource("clear.gif"));
	public static final Icon EXECUTE_ICON  = new ImageIcon(MainImages.class.getResource("execute.gif"));

	public static final Icon   HTML_ICON   = new ImageIcon(MainImages.class.getResource("html.gif"));
	public static final ImageIcon XML_ICON   = new ImageIcon(MainImages.class.getResource("xml.gif"));

	public static final Icon   MACRO_ICON   = new ImageIcon(MainImages.class.getResource("macro.gif"));
	public static final Icon   MACRO_INSERT_ICON  = new ImageIcon(MainImages.class.getResource("insertMacro.gif"));
	public static final Icon   MACRO_EDITOR_ICON = new ImageIcon(MainImages.class.getResource("macrosEditor.gif"));

	public static final Icon TREE_EXPAND_ICON   = new ImageIcon(MainImages.class.getResource("expand.gif"));
	public static final Icon TREE_COLLAPSE_ICON   = new ImageIcon(MainImages.class.getResource("collapse.gif"));
	public static final Icon TREE_GOTO_PARENT_ICON   = new ImageIcon(MainImages.class.getResource("up_nav.gif"));
	public static final Icon TREE_GOTO_NEXT_SIBLING_ICON  = new ImageIcon(MainImages.class.getResource("next_nav.gif"));
	public static final Icon TREE_GOTO_PREVIOUS_SIBLING_ICON = new ImageIcon(MainImages.class.getResource("prev_nav.gif"));

    // Edit-Menu Icons
    public static final Icon UNDO_ICON             = new ImageIcon(MainImages.class.getResource("undo.gif"));
    public static final Icon REDO_ICON             = new ImageIcon(MainImages.class.getResource("redo.gif"));
    public static final Icon CUT_ICON              = new ImageIcon(MainImages.class.getResource("cut.gif"));
    public static final Icon COPY_ICON             = new ImageIcon(MainImages.class.getResource("copy.gif"));
    public static final Icon PASTE_ICON            = new ImageIcon(MainImages.class.getResource("paste.gif"));
    public static final Icon SEARCH_ICON           = new ImageIcon(MainImages.class.getResource("search.gif"));
    public static final Icon SEARCH_NEXT_ICON      = new ImageIcon(MainImages.class.getResource("searchNext.gif"));
    public static final Icon REPLACE_ICON          = new ImageIcon(MainImages.class.getResource("replace.gif"));
    public static final Icon HIGHLIGHT_SEARCH_ICON = new ImageIcon(MainImages.class.getResource("searchHighlight.gif"));
    public static final Icon SEARCH_UP_ICON   = TREE_GOTO_PREVIOUS_SIBLING_ICON;
    public static final Icon SEARCH_DOWN_ICON   = TREE_GOTO_NEXT_SIBLING_ICON;

	public static final Icon VIEW_ICON    = new ImageIcon(MainImages.class.getResource("view.gif"));
	public static final Icon APPLICABLES_ICON = new ImageIcon(MainImages.class.getResource("apply.gif"));
	public static final Icon EDIT_ICON    = new ImageIcon(MainImages.class.getResource("edit.gif"));
	public static final Icon DOWN_ICON    = new ImageIcon(MainImages.class.getResource("down.gif"));

	public static final Icon NEW_ICON    = new ImageIcon(MainImages.class.getResource("new.gif"  ));
	public static final Icon NEW_FROM_TEMPLATE_ICON    = new ImageIcon(MainImages.class.getResource("newFileFromTemplate.gif"));
	public static final Icon TEMPLATE_ICON    = new ImageIcon(MainImages.class.getResource("template.gif"));
	public static final Icon OPEN_ICON    = new ImageIcon(MainImages.class.getResource("open.gif"  ));
	public static final Icon REOPEN_ICON   = new ImageIcon(MainImages.class.getResource("reopen.gif" ));
	public static final Icon RELOAD_ICON   = new ImageIcon(MainImages.class.getResource("reload.gif" ));
	public static final Icon REVERT_ICON   = new ImageIcon(MainImages.class.getResource("revert.gif" ));
	public static final Icon SAVE_ICON    = new ImageIcon(MainImages.class.getResource("save.gif"  ));
	public static final Icon SAVE_AS_ICON  = new ImageIcon(MainImages.class.getResource("saveAs.gif" ));
	public static final Icon SAVE_ALL_ICON = new ImageIcon(MainImages.class.getResource("saveAll.gif"));

	public static final Icon EXPORT_ICON = new ImageIcon(MainImages.class.getResource("export.gif"));
	public static final Icon IMPORT_ICON = new ImageIcon(MainImages.class.getResource("import.gif"));

	public static final Icon BACK_ICON     = new ImageIcon(MainImages.class.getResource("back.gif"));
	public static final Icon FORWARD_ICON  = new ImageIcon(MainImages.class.getResource("forward.gif"));

	public static final Icon HTML_VIEW_ICON = HTML_ICON;
	public static final Icon REMOVE_HTML_LINK_ICON = new ImageIcon(MainImages.class.getResource("remove.gif"));
	public static final Icon SYNCHRONIZE_LINKS_ICON = new ImageIcon(MainImages.class.getResource("synchronizeLinks.gif"));
	public static final Icon CONVERT_ICON = new ImageIcon(MainImages.class.getResource("convert.gif"));
	public static final Icon REMOVE_XML_NODE_ICON = REMOVE_HTML_LINK_ICON;

	public static final Icon PREFERENCES_ICON   = new ImageIcon(MainImages.class.getResource("preferences.gif" ));
	public static final Icon PROJECT_ICON   = new ImageIcon(MainImages.class.getResource("projects.gif"));
	public static final Icon PROCESS_ICON   = SYNCHRONIZE_LINKS_ICON;
	public static final Icon PROJECT_OPEN_ICON   = new ImageIcon(MainImages.class.getResource("projectOpen.gif" ));
	public static final Icon PROJECT_CLOSE_ICON   = new ImageIcon(MainImages.class.getResource("projectClose.gif"));
	public static final Icon PROJECT_PROPERTIES_ICON = new ImageIcon(MainImages.class.getResource("settings.gif" ));
	public static final Icon XML_LANGUAGE_ICON   = new ImageIcon(MainImages.class.getResource("language.gif" ));
	public static final Icon EXIT_ICON   = new ImageIcon(MainImages.class.getResource("exit.gif"));

	public static final Icon XML_ATTR_ADD_ICON  = new ImageIcon(MainImages.class.getResource("addAttribute.gif"    ));
	public static final Icon XML_ATTR_REMOVE_ICON = new ImageIcon(MainImages.class.getResource("remove2.gif"     ));

	public static final Icon LINKS_VIS_ICON  = LINK_ICON;
	public static final Icon LINKS_VIS_DOWN_ICON = new ImageIcon(MainImages.class.getResource("treeNodeDown.gif"    ));
	public static final Icon LINKS_VIS_UP_ICON  = new ImageIcon(MainImages.class.getResource("treeNodeUp.gif"    ));

	public static final Icon XML_INSERT_INTO_ICON   = new ImageIcon(MainImages.class.getResource("insertXMLInto.gif"));
    public static final Icon XML_INSERT_BEFORE_ICON    = new ImageIcon(MainImages.class.getResource("insertXMLBefore.gif"));
    public static final Icon XML_INSERT_AFTER_ICON     = new ImageIcon(MainImages.class.getResource("insertXMLAfter.gif"));
    public static final Icon XML_INSERT_REPLACE_ICON   = new ImageIcon(MainImages.class.getResource("insertXMLReplace.gif"));

	public static final Icon ADD_ICON     = new ImageIcon(MiscImages.class.getResource("add.gif")); // tothink add.gif doppelt
	public static final Icon REMOVE_ICON     = XML_ATTR_REMOVE_ICON;
	public static final Icon XML_ADD_REQUIRED_CONTENT_ICON = ADD_ICON;

    public static final Icon VALIDATE_ICON         = new ImageIcon(MainImages.class.getResource("validate.gif"));

	public static final Icon TREE_VIEW_ICON  = new ImageIcon(MainImages.class.getResource("treeView.gif"));
	public static final Icon SOURCE_VIEW_ICON  = XML_ICON;
	public static final Icon TEXT_VIEW_ICON  = new ImageIcon(MainImages.class.getResource("textView.gif"));

	public static final Icon MACROS_STRUCTURE_VIEW_ICON  = new ImageIcon(MainImages.class.getResource("structureView.gif"));
	public static final Icon MACROS_SEARCH_VIEW_ICON  = new ImageIcon(MainImages.class.getResource("searchView.gif")); //= SEARCH_ICON;
	public static final Icon MACROS_INSERTABLE_VIEW_ICON = new ImageIcon(MainImages.class.getResource("insertableView.gif"));

    // Help-Menu Icons
	public static final Icon WWW_ICON  = new ImageIcon(MainImages.class.getResource("www.gif"));
	public static final Icon WWW_HELP_ICON  = new ImageIcon(MainImages.class.getResource("wwwHelp.gif"));
	public static final Icon HELP_ICON  = new ImageIcon(MainImages.class.getResource("help.gif"));
	public static final Icon WWW_ASGAARD_ICON  = new ImageIcon(MainImages.class.getResource("home.gif"));
	public static final Icon REFRESH_GUI_ICON  = RELOAD_ICON;
	public static final Icon CHECK_FOR_NEW_VERSION_ICON = new ImageIcon(MainImages.class.getResource("checkForNewVersion.gif"));
	public static final Icon ABOUT_ICON  = new ImageIcon(MainImages.class.getResource("about.gif"));

	public static final Icon MAXIMIZE_VIEW_ICON  = new ImageIcon(MainImages.class.getResource("zoomIn.gif"));
	public static final Icon RESTORE_VIEW_ICON  = new ImageIcon(MainImages.class.getResource("zoomOut.gif"));

	public static final Icon VALID_MODE_ON_ICON  = new ImageIcon(MainImages.class.getResource("validModeOn.gif"));
	public static final Icon VALID_MODE_OFF_ICON = new ImageIcon(MainImages.class.getResource("validModeOff.gif"));

	public static final	Icon SUMMARIZE_ICON		  =	new	ImageIcon(MainImages.class.getResource("summarize.gif"));
	public static final	Icon HIGHLIGHT_ICON		  =	new	ImageIcon(MainImages.class.getResource("highlight.gif"));
	public static final	Icon FILTER_ICON		  =	new	ImageIcon(MainImages.class.getResource("filter.gif"));
	public static final	Icon FILTER_INACTIVE_ICON =	new	ImageIcon(MainImages.class.getResource("filterInactive.gif"));

	public static final Icon GO_TO_DEFINITION_ICON  = HELP_ICON;
	public static final Icon ALL_ELEMENTS_ICON  = new ImageIcon(MainImages.class.getResource("allElements.gif"));
	public static final Icon COMMENT_EDIT_ICON = new ImageIcon(MainImages.class.getResource("commentEdit.gif"));

	public static final Icon PRINT_ICON = new ImageIcon(MainImages.class.getResource("print.gif"));
	public static final Icon PRINT_PREVIEW_ICON = new ImageIcon(MainImages.class.getResource("printPreview.gif"));

	private MainImages() {} // should not be instantiated
}
