/*
 * Project: Guideline Markup Tool (DELTA) - 2.7.3-#452
 * Class: MacrosImages
 * Author: peter
 * Date: 09.04.2003
 * Time: 16:15:47
 */

package at.ac.tuwien.asgaard.delta.gui.macros.images;

import at.ac.tuwien.asgaard.delta.gui.images.MainImages;
import at.ac.tuwien.asgaard.delta.gui.xml.images.XMLImages;

import javax.swing.*;

/**
 * Class MacrosImages ... todo
 */
public final class MacrosImages { 
    public static final Icon START_SEARCH_ICON = new ImageIcon(MacrosImages.class.getResource("start.gif"));
    public static final Icon CLEAR_SEARCH_ICON = new ImageIcon(MacrosImages.class.getResource("stop.gif"));

    public static final Icon MACRO_ICON        = MainImages.MACRO_ICON;
	public static final Icon ELEMENT_ICON      = XMLImages.ELEMENT_ICON;
	public static final Icon MACRO_LINK_ICON   = new ImageIcon(MacrosImages.class.getResource("macroLink.gif")); //MainImages.LINK_ICON;
	public static final Icon OPENED_GROUP_ICON = MainImages.OPENED_FOLDER_ICON;
	public static final Icon CLOSED_GROUP_ICON = MainImages.CLOSED_FOLDER_ICON;
	public static final Icon GROUP_LINK_ICON   = MainImages.BOOKMARK_ICON;
	public static final Icon ELEMENT_NOT_INSERTABLE_ICON =
	                                new ImageIcon(MacrosImages.class.getResource("elementNotInsertable.gif"));
	public static final Icon MACRO_NOT_INSERTABLE_ICON =
	                                new ImageIcon(MacrosImages.class.getResource("macroNotInsertable.gif"));
	public static final Icon MACRO_LINK_NOT_INSERTABLE_ICON =
	                                new ImageIcon(MacrosImages.class.getResource("macroLinkNotInsertable.gif"));

    private MacrosImages() {} // should not be instantiated
}
