/*
 * Project "Asbru Interpreter".
 * 
 * $Id$
 */
package at.ac.tuwien.asgaard.delta.gui.misc;

import at.ac.tuwien.asgaard.swing.DocumentChangeAdapter;

import java.awt.event.*;

import javax.swing.event.*;

/**
 * Class GUIFieldChangeListener - todo javadoc.
 *
 * @author Peter Votruba
 * @version $Revision$
 */
public final class GUIFieldChangeListener extends DocumentChangeAdapter
		implements ChangeListener, ItemListener {
	private boolean fieldsChanged = false;

	public void reset() {
		fieldsChanged = false;
	}

	public void documentChange(DocumentEvent evt) {
		fieldsChanged = true;
	}

	public void stateChanged(ChangeEvent e) {
		fieldsChanged = true;
	}

	public void itemStateChanged(ItemEvent evt) {
		if (evt.getStateChange() == ItemEvent.SELECTED)
			fieldsChanged = true;
	}

	public boolean fieldsHaveChanged() {
		return fieldsChanged;
	}

	public void setFieldsChanged() {
		this.fieldsChanged = true;
	}
}
