/**
 * Project: DELTA - Guideline Markup Tool / Version: 2.7.3.#452
 * Author: Peter Votruba
 * Date: 29.10.2003
 * Time: 09:50:25
 */
package at.ac.tuwien.asgaard.delta.gui.misc;

import at.ac.tuwien.asgaard.delta.gui.MainController;
import at.ac.tuwien.asgaard.delta.gui.xml.SimpleXMLTree;
import at.ac.tuwien.asgaard.swing.AbstractInputDialog;

import org.w3c.dom.Node;

import java.awt.*;

import javax.swing.*;

/**
 * Class XSLTransformPreviewDialog ... todo
 * 
 * @author Peter Votruba
 * @version 2.7.3.#452
 * @since JDK 1.4
 */
public class XSLTransformPreviewDialog extends AbstractInputDialog {
	private SimpleXMLTree xmlView;

	public XSLTransformPreviewDialog(Frame parent) {
		super(parent, "XSL Transform Preview", false, true, 300, 500, 100, 100, 0, 0);
	}

	protected Component createMainComponent() {
		xmlView = new SimpleXMLTree(MainController.preferences);
		return new JScrollPane(xmlView);
	}

	Node rootNode;

	public Node getRootNode() {
		return rootNode;
	}

	public void setRootNode(Node rootNode) {
		this.rootNode = rootNode;
		xmlView.load(rootNode);
	}
}
