/*
 * Project: Guideline Markup Tool (DELTA) - 2.7.3-#452
 * Class: XMLImages
 * Author: peter
 * Date: 11.04.2003
 * Time: 10:58:02
 */

package at.ac.tuwien.asgaard.delta.gui.xml.images;

import at.ac.tuwien.asgaard.delta.gui.images.MainImages;
import at.ac.tuwien.asgaard.delta.gui.misc.images.MiscImages;

import javax.swing.*;

/**
 * Class XMLImages ... todo
 */
public final class XMLImages { 
	public static final Icon DOC_NODE_ICON   = MainImages.XML_ICON;
	public static final Icon LINK_ELEMENT_ICON  = MainImages.LINK_ICON;
	public static final Icon DOCTYPE_NODE_ICON  = new ImageIcon(XMLImages.class.getResource("docTypeNode.gif"));
	public static final Icon ELEMENT_ICON   = new ImageIcon(XMLImages.class.getResource("elementNode.gif"));
// public static final Icon OPENED_ELEMENT_ICON  = MainImages.OPENED_FOLDER_ICON;
// public static final Icon CLOSED_ELEMENT_ICON  = MainImages.CLOSED_FOLDER_ICON;
	public static final Icon TEXT_NODE_ICON   = new ImageIcon(XMLImages.class.getResource("textNode.gif"));
	public static final Icon CDATA_NODE_ICON   = new ImageIcon(XMLImages.class.getResource("cdataNode.gif"));
	public static final Icon COMMENT_NODE_ICON   = new ImageIcon(XMLImages.class.getResource("commentNode.gif"));
	public static final Icon PI_NODE_ICON   = new ImageIcon(XMLImages.class.getResource("piNode.gif"));
	public static final Icon OPENED_ROOT_NODE_ICON  = new ImageIcon(XMLImages.class.getResource("openedRootNode.gif"));

	public static final Icon ERROR_ELEMENT_ICON  = new ImageIcon(XMLImages.class.getResource("elementError.gif"));
	public static final Icon WARNING_ELEMENT_ICON  = new ImageIcon(XMLImages.class.getResource("elementWarning.gif"));

	public static final Icon CELL_EDITOR_ICON  = MiscImages.DOTS_ICON;

	private XMLImages() { } // should not be instantiated
}
