package at.ac.tuwien.asgaard.delta.xmlBeans;

import org.xml.sax.ErrorHandler;
import org.xml.sax.SAXException;
import org.xml.sax.SAXParseException;

public class DefaultSAXErrorHandler implements ErrorHandler {
	/** singleton instance */
	public static final ErrorHandler SINGLETON = new DefaultSAXErrorHandler();

	private DefaultSAXErrorHandler() {
	}

	public void warning(SAXParseException e) throws SAXException {
		System.err.println("Parsing Warning: " + e.getMessage());
	}

	public void error(SAXParseException e) throws SAXException {
		//    System.err.println("Parsing Error: " + e.getMessage());
		throw e;
	}

	public void fatalError(SAXParseException e) throws SAXException {
		//    System.err.println("Fatal Parsing Error: " + e.getMessage());
		throw e;
	}
}
