package at.ac.tuwien.asgaard.swing.models;

import javax.swing.*;

/** lightweight version of an empty DefaultListModel */
public final class EmptyListModel extends AbstractListModel {
	public static final EmptyListModel sharedInstance = new EmptyListModel();

	public int getSize() {
		return 0;
	}
	public Object getElementAt(int param) {
		return null;
	}
}
