/*
 * Project: GMT - Guideline Markup Tool / Version: 2.7.3.#452
 * Author: Peter Votruba
 * Date: 15.03.2004
 * Time: 11:05:52
 */
package at.ac.tuwien.asgaard.swing.plaf;

import java.awt.event.*;

import javax.swing.*;
import javax.swing.plaf.*;
import javax.swing.plaf.metal.*;

/**
 * Class NoToggleSelectionTreeUI ... todo
 *
 * @author Peter Votruba
 * @version 2.7.3.#452
 * @since JDK 1.4.0
 */
public class NoToggleSelectionTreeUI extends MetalTreeUI {
	public static ComponentUI createUI(JComponent x) {
		return new NoToggleSelectionTreeUI();
	}

	protected boolean isToggleSelectionEvent(MouseEvent event) {
		return false;
	}

	protected boolean isMultiSelectEvent(MouseEvent event) {
		return false;
	}
}