/*
 * Project: GMT - Guideline Markup Tool / Version: 2.7.3.#452
 * User: peter
 * Date: 13.05.2003
 * Time: 10:52:11
 */
package at.ac.tuwien.asgaard.swing.selectable;

import at.ac.tuwien.asgaard.swing.plaf.LocalAcceleratorMenuItemUI;

import javax.swing.*;
import javax.swing.event.*;

/**
 * Class SelectableAction ... todo
 *
 * @version 2.7.3.#452
 * @author Peter Votruba
 * @since JDK 1.3.0
 */
public interface SelectableAction extends Action, ChangeListener {
	public static final String LOCAL_ACCELERATOR_KEY = LocalAcceleratorMenuItemUI.LOCAL_ACCELERATOR_KEY;
	public String SELECTED_KEY = "selected";

	public void setSelected(boolean newValue);
	public boolean isSelected();

    public void setSelectedState(boolean newValue);
}
