package at.ac.tuwien.asgaard.util;

import at.ac.tuwien.asgaard.delta.util.*;

import java.text.*;
import java.util.Date;

/**
 * Class Log. ... todo
 *
 * @version 2.7.3
 * @author Peter Votruba
 */
public final class Log {
	private Log() {}

	public static void trace(String msg) {
		if (GlobalConstants.DEBUG)
			System.out.println("TRACE: " + DATE_FORMAT.format(new Date()) + " - " + msg);
	}

	public static void error(String msg) {
		System.err.println("ERROR: " + DATE_FORMAT.format(new Date()) + " - " + msg);
	}

	private static final DateFormat DATE_FORMAT = new SimpleDateFormat("dd.MM.yyyy hh:mm:ss.SSS");
}
